function rev = rtxxfourier2(ir,fs,Q,ppp)
% Q=2..8, 10..200 ppp=2 (eneria);
M=10*length(ir);
k = 3*log(10);
mit=10.^(nincsnan(edcn(ir,ppp))./(2/ppp*10));
B=fft(mit,M);
lao=(real(B)./imag(B));
% om=2*pi.*(0:1/(length(ir)-1):1).*fs;
om = linspace(0, 2*pi, length(lao)+1); om = om(1:end-1).*fs;
% rx=-nanmedian(om(Q).*lao(Q));
revf=ppp*k./(-(om.*lao));
rev=nanmedian(revf(Q));
% rev=ppp*k./rx;